<?php

declare(strict_types=1);

namespace ComerciaGlobalPayments\AddonPayments\SDK\Encryption\Cypher;

/**
 * Interface IvGeneratorInterface.
 *
 * Defines an interface for implementations providing initial vector generation.
 */
interface IvGeneratorInterface
{
    public function generateInsecureIv(int $length): string;

    /**
     * @SuppressWarnings(PHPMD.BooleanArgumentFlag)
     */
    public function generateIv(bool $allowLessSecureIv = false): string;
}
